OpenTTD Source: ServerAddress Class Reference

OpenTTD Source 15.0-beta1

Static Public Member Functions | Data Fields | Private Member Functions
ServerAddress Class Reference

Address to a game server. More...

`#include <address.h>`

## Static Public Member Functions
static ServerAddress | Parse (const std::string &connection_string, uint16_t default_port, CompanyID *company_id=nullptr)
| Convert a string containing either "hostname", "hostname:port" or invite code to a ServerAddress, where the string can be postfixed with "#company" to indicate the requested company.

## Data Fields
ServerAddressType | type
| The type of this ServerAddress.
std::string | connection_string
| The connection string for this ServerAddress.

## Private Member Functions
| ServerAddress (ServerAddressType type, const std::string &connection_string)
| Create a new ServerAddress object.

## Detailed Description

Address to a game server.

This generalises addresses which are based on different identifiers.

Definition at line 196 of file address.h.

## Constructor & Destructor Documentation

## ◆ ServerAddress()

ServerAddress::ServerAddress | ( | ServerAddressType | type,
|  | const std::string & | connection_string
| ) |  |
| inlineprivate

Create a new ServerAddress object.

Please use ServerAddress::Parse() instead of calling this directly.

Parameters

  type | The type of the ServerAdress.
  connection_string | The connection_string that belongs to this ServerAddress type.

Definition at line 206 of file address.h.

## Member Function Documentation

## ◆ Parse()

ServerAddress ServerAddress::Parse | ( | const std::string & | connection_string,
|  | uint16_t | default_port,
|  | CompanyID * | company_id = `nullptr`
| ) |  |
| static

Convert a string containing either "hostname", "hostname:port" or invite code to a ServerAddress, where the string can be postfixed with "#company" to indicate the requested company.

Parameters

  connection_string | The string to parse.
  default_port | The default port to set port to if not in connection_string.
  company | Pointer to the company variable to set iff indicated.

Returns
  A valid ServerAddress of the parsed information.

Definition at line 450 of file address.cpp.

References connection_string, ParseCompanyFromConnectionString(), ParseFullConnectionString(), SERVER_ADDRESS_DIRECT, and SERVER_ADDRESS_INVITE_CODE.

Referenced by NetworkClientConnectGame(), and NetworkGameListAddItem().

## Field Documentation

## ◆ connection_string

std::string ServerAddress::connection_string

The connection string for this ServerAddress.

Definition at line 210 of file address.h.

Referenced by NetworkClientConnectGame(), NetworkGameListAddItem(), Parse(), and TCPServerConnecter::TCPServerConnecter().

## ◆ type

ServerAddressType ServerAddress::type

The type of this ServerAddress.

Definition at line 209 of file address.h.

Referenced by TCPServerConnecter::CheckActivity(), and TCPServerConnecter::TCPServerConnecter().

The documentation for this class was generated from the following files:

- src/network/core/address.h
- src/network/core/address.cpp